# Get VPC Network - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpu-instance-get-vpc

# Get VPC Network

GET

/

gpu-instance

/

openapi

/

v1

/

network

Try it

Get VPC Network

cURL

```
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/network \
--header 'Authorization: ' \
--header 'Content-Type: '
```

```
import requests

url = "https://api.novita.ai/gpu-instance/openapi/v1/network"

headers = {
"Content-Type": "",
"Authorization": ""
}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {
method: 'GET',
headers: {'Content-Type': '', Authorization: ''}
};

fetch('https://api.novita.ai/gpu-instance/openapi/v1/network', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.novita.ai/gpu-instance/openapi/v1/network",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: ",
"Content-Type: "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.novita.ai/gpu-instance/openapi/v1/network"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Content-Type", "")
req.Header.Add("Authorization", "")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.get("https://api.novita.ai/gpu-instance/openapi/v1/network")
.header("Content-Type", "")
.header("Authorization", "")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.novita.ai/gpu-instance/openapi/v1/network")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Content-Type"] = ''
request["Authorization"] = ''

response = http.request(request)
puts response.read_body
```

200

```
{
"network": [
{
"Id": "",
"user": "",
"name": "",
"state": [
{
"state": "",
"error": ""
}
],
"segment": "",
"clusterId": "",
"Addresses": [
{
"Id": "",
"Ip": ""
}
],
"createTime": ""
}
]
}
```

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#query-parameters)

Query Parameters

[​](#param-network-id)

networkId

string

required

Cluster ID. String, length limit: 1-255 characters. Only one is supported.

##

[​](#response)

Response

[​](#param-network)

network

object[]

required

VPC network information.

Hide properties

[​](#param-id)

Id

string

required

VPC network ID.

[​](#param-user)

user

string

required

User account ID.

[​](#param-name)

name

string

required

VPC network name.

[​](#param-state)

state

object[]

required

VPC network status.

Hide properties

[​](#param-state-1)

state

string

required

VPC network status. Possible values:

- creating: Being created.

- ready: Successfully created.

[​](#param-error)

error

string

Error message if VPC network creation fails or the network is unavailable.

[​](#param-segment)

segment

string

required

VPC network segment.

[​](#param-cluster-id)

clusterId

string

required

Cluster ID.

[​](#param-addresses)

Addresses

object[]

required

Instance information under the VPC network.

Hide properties

[​](#param-id-1)

Id

string

required

Instance ID.

[​](#param-ip)

Ip

string

required

Instance IP address.

[​](#param-create-time)

createTime

string

required

VPC network creation time. Format: Unix timestamp.

Last modified on May 27, 2025
